<template>
  <div>
    <div class="flex items-baseline">
      <input
        :id="field"
        v-model="terms"
        type="checkbox"
        class="form-checkbox"
        :required="required"
        @blur="$emit('blur', { field, value: terms })"
      />
      <label :for="field" class="ml-2">
        {{ label }}
        <span aria-label="required" class="text-red-error">*</span>
      </label>
    </div>
    <slot />
  </div>
</template>

<script>
export default {
  name: 'ATermsField',
  props: {
    label: {
      type: String,
      default: 'He llegit i accepto la política de privacitat',
    },
    validation: { type: String, default: 'accepted' },
  },
  data: () => ({
    fid: 'terms',
    terms: null,
  }),
  computed: {
    field() {
      return this.$vnode.data.ref;
    },
    required() {
      return /accepted/.test(this.validation);
    },
  },
  methods: {
    reset() {
      this.terms = null;
    },
  },
};
</script>
